> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Blacklist User

> ```
POST api/v1/transaction-monitoring/blacklist-user
```


***

<Note>
  To unblock or unblacklist a user, use the endpoint below. The request type is
  **`DELETE`**
</Note>

```
  DELETE api/v1/transaction-monitoring/blacklist-user/{userId}
```


## OpenAPI

````yaml transaction-monitoring-model.json POST /transaction-monitoring/blacklist-user
openapi: 3.1.0
info:
  title: Sigma API
  description: Sigma Transaction Monitoring API documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://sigmaprod.sabipay.com/api/v1
security:
  - ApiKeyAuth: []
    ApiSecretAuth: []
paths:
  /transaction-monitoring/blacklist-user:
    post:
      description: Blacklist a certain user
      requestBody:
        description: Blacklist user payload
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BlacklistUserPayload'
            example:
              userId: CUS-10001
      responses:
        '200':
          description: Blacklist user result
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: User blacklisted
                    description: Message after user is blacklisted
              example:
                message: User blacklisted
        '400':
          description: Invalid input or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    BlacklistUserPayload:
      type: object
      required:
        - userId
      properties:
        userId:
          type: string
          description: The userID of the entity you want to blacklist.
      example:
        userId: CUS-10001
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
      example:
        error: 400
        message: 'Invalid request payload: transactionData.reference is required'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    ApiSecretAuth:
      type: apiKey
      in: header
      name: apiSecret

````